#!/usr/bin/python   
# -*- coding: utf-8 -*-

from lxml import etree
import time
from time import strftime

global MAX_ATTEMP_NUMBER
MAX_ATTEMP_NUMBER = 3
global MAX_ORDER_DATA_LENGTH
MAX_ORDER_DATA_LENGTH = 1048576
global AUTH_KEY_LENGTH
AUTH_KEY_LENGTH = 2048
global SIGN_KEY_LENGTH
SIGN_KEY_LENGTH = 2048
global ENCRYPT_KEY_LENGTH
ENCRYPT_KEY_LENGTH = 2048
global EBICS_VERSION
EBICS_VERSION = "H003"
global EBICS_REVISION
EBICS_REVISION = "1"
global PRODUCT_VERSION
#PRODUCT_VERSION = "kopiLeft Dev 1.0"
PRODUCT_VERSION = "EbicsPy 0.1"


def get_timestamp():
    #FIXME : get the real milliseconds value)
	return strftime("%Y-%m-%dT%H:%M:%S.123Z", time.gmtime())

def validateXML(xml):
	print xml
	print '====================================='
	if EBICS_VERSION == 'H003' :
		schema_root = etree.parse('schemas_version_H003_EBICS2.4/ebics.xsd')
	else:
		schema_root = etree.parse('schemas_version_H004_EBICS2.5/ebics.xsd')
	schema = etree.XMLSchema(schema_root)
	parser = etree.XMLParser(schema = schema)
	root = etree.fromstring(xml, parser)

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4
